Download it now!
Bug 63591 - Images from *.ui files are not packed automatically
Summary: Images from *.ui files are not packed automatically
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: David Tardon
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-16 08:08 UTC by Andras Timar
Modified: 2013-04-26 09:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2013-04-16 08:08:54 UTC
$ git grep pixbuf -- *.ui
There are only a few hits, but more will come as we migrate dialogs to this new format. Also, the problem will be more apparent. 

Currently image resources used in *.ui files are not packed automatically to install set, and they are there by chance, i.e. when an old .src based resource also uses them. 

See postprocess/CustomTarget_images.mk. It uses image lists created by the old resource compiler (rsc) and two custom lists, one for the local help and one for the command images. We need to create an image list for *.ui files, too, and add it to this makefile.
Comment 1 Caolán McNamara 2013-04-16 08:26:07 UTC
caolanm->dtardon: got any ideas around this weird-ass problem ?
Comment 2 David Tardon 2013-04-16 10:18:12 UTC
I'll look into it.
Comment 3 Commit Notification 2013-04-19 14:41:39 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df0c6367285952a44082d1359a9e053b7c7b556b

fdo#63591 pack images referenced by .ui files



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-04-26 09:49:14 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=484d75feb3518976434dfdb883d283c6fdca9c9f

Related: fdo#63591 pack missing images referenced by .ui files



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.